---
title: "提交编辑结果"
description: >
  订单编辑-提交接口，编辑订单为一组组合接口(开始编辑，修改商品数量，增加普通商品行，增加自定义商品行，增加商品行折扣，移除商品行折扣，订单编辑提交)，需要调用编辑订单-开始接口，开启一次编辑，如果该接口调用有错误，会在返回值user_errors字段中拿到错误，调用方如果调用订单编辑提交接口出错，需要根据返回的order数据中是否已经对本次编辑进行了更新，如果返回的order没值，需要通过订单列表查询接口查询订单数据中是否已经本次编辑进行了更新，如果明确数据，没更新，可以进行重试（注意：重试需要从order_edit.json订单编辑开始接口开始进行整套编辑订单接口重新调用）
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/edit-order-combination-interface/submit-edit-results'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/edit-order-combination-interface/submit-edit-results.md'
---
# 提交编辑结果

订单编辑-提交接口，编辑订单为一组组合接口(开始编辑，修改商品数量，增加普通商品行，增加自定义商品行，增加商品行折扣，移除商品行折扣，订单编辑提交)，需要调用编辑订单-开始接口，开启一次编辑，如果该接口调用有错误，会在返回值user_errors字段中拿到错误，调用方如果调用订单编辑提交接口出错，需要根据返回的order数据中是否已经对本次编辑进行了更新，如果返回的order没值，需要通过订单列表查询接口查询订单数据中是否已经本次编辑进行了更新，如果明确数据，没更新，可以进行重试（注意：重试需要从order_edit.json订单编辑开始接口开始进行整套编辑订单接口重新调用）

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /orders/order_edit_commit.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_orders`

## Request

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `request`

  object

  请求体

  * `id`

    string

    编辑订单草稿单id（可以从调用订单编辑-开始接口返回参数中获取）

  * `notify_customer`

    boolean

    是否需要通知客户

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `order`

  object

  订单信息,字段描述、示例请参考订单列表响应结果

  * `current_subtotal_price`

    string

    当前商品总和，商品总价*数量

  * `currency`

    string

    交易币种

  * `current_total_discounts_set`

    object

    折扣总和多币种信息，没有多币种，所以买卖家币种和金额一致； { currentTotalDiscountsSet "shopMoney": { "amount": "100", "currency_code": "CNY" }, "presentmentMoney": { "amount": "100", "currency_code": "CNY" } }

    * `presentment_money`

      object

      买家侧金额

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种信息

    * `shop_money`

      object

      卖家侧金额

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

  * `fulfillments`

    array<object>

    包裹信息

    * `order_id`

      string

      订单号

    * `id`

      string

      包裹编号

    * `line_items`

      array<object>

      商品列表

      * `id`

        string

        商品快照表的id, 系统生成，与订单号唯一确认一个商品

      * `taxable`

        boolean

        是否收税

      * `title`

        string

        商品标题

      * `fulfillment_status`

        string

        商品的发货状态， 发货状态， fulfilled-已发货; partial-部分发货； null-未发货;

      * `vendor`

        string

        供应商

      * `tax_lines`

        array<object>

        税费信息

      * `fulfillable_quantity`

        integer

        可发货数量

      * `price`

        string

        商品售价，精度2

      * `name`

        string

        sku标题,同title

      * `product_id`

        string

        spu序列号

      * `grams`

        double

        重量（克）

      * `fulfillment_service`

        string

        物流商名称

      * `quantity`

        integer

        订单中的商品数量

      * `variant_title`

        string

        商品属性值, 多个以" / "分割, 如： “155 / 红色 / 大"

      * `requires_shipping`

        boolean

        是否需要发货

      * `sku`

        string

        商品码，barCode

      * `variant_id`

        string

        商品sku序列号

      * `attribute`

        string

        	
        商品属性：名称 - 属性值 多个以逗号", "分割 如：颜色 - 红色, 尺寸 - X

    * `updated_at`

      string

      更新时间（格式见IOS8601）

    * `tracking_number`

      string

      第三方物流单号

    * `shipment_status`

      string

      包裹状态

    * `tracking_company`

      string

      物流公司名称

    * `created_at`

      string

      创建时间（格式见IOS8601）

    * `status`

      string

      物流配送状态， success-已发货； cancelled-已取消；

    * `tracking_url`

      string

      物流公司url

    * `name`

      string

      发货单短号

  * `updated_at`

    string

    订单更新时间，（格式见IOS8601）

  * `name`

    string

    自定义订单号

  * `financial_status`

    string

    支付状态，unpaid，authorized, pending，partially_paid，paid，partially_refunded，refunded

  * `current_total_tax`

    string

    税费总和，商品税 + 运费税

  * `deduct_member_point_amount`

    string

    当前订单会员积分抵扣金额

  * `processed_at`

    string

    processed_at 成单时间,格式：2023-04-12T22:59:52+08:00

  * `id`

    string

    订单号，系统自定义编号

  * `cancelled_at`

    string

    订单取消时间（结束）（格式见IOS8601）,2012-05-01T14:22:25-04:00

  * `current_total_price`

    string

    税费总和，商品税 + 运费税

  * `discount_applications`

    array<object>

    折扣信息

    * `target_type`

      string

      1）line_item、shipping_line

    * `value`

      string

      折扣的具体值（可以是 N折，也可以是具体的 金额值）

    * `target_selection`

      string

      1）explicit（折扣分配到明确选择的行） 2）all（折扣分配到所有行） 3）ENTITLED（折扣仅分配到其有权使用的行）

    * `value_type`

      string

      百分比折扣、金额折扣

    * `code`

      string

      折扣码

    * `title`

      string

      自动折扣的标题

    * `allocation_method`

      string

      1）across（该值分布在所有授权行中） 2）each（该值应用于每个授权行）

    * `type`

      string

      折扣类型

    * `description`

      string

      自定义折扣的描述

  * `cancel_reason`

    string

    卖家取消原因

  * `checkout_token`

    string

    结算页token

  * `note_attributes`

    array<object>

    商家备注日志，日期内容

    * `create_time`

      string

      备注创建时间（格式见IOS8601）

    * `name`

      string

      备注来源（卖家标识）

    * `value`

      string

      备注内容

  * `app_id`

    string

    应用方id

  * `shipping_lines`

    array<object>

    物流信息

    * `phone`

      string

      电话

    * `price_set`

      object

      物流运费多资源信息

      * `shop_money`

        object

        店铺侧金额信息

      * `presentment_money`

        object

        买家侧金额信息

    * `requested_fulfillment_service_id`

      string

      运输服务代号

    * `title`

      string

      物流名称

    * `discounted_price`

      string

      折扣金额，精度2

    * `tax_lines`

      array<object>

      物流征税列表

      * `title`

        string

        税费名称

      * `price`

        string

        税费

      * `price_set`

        object

        税费多币种信息

      * `rate`

        double

        税率

    * `code`

      string

      物流编号

    * `discounted_price_set`

      object

      折扣多币种金额

      * `presentment_money`

        object

        买家侧金额信息

      * `shop_money`

        object

        店铺侧金额信息

    * `source`

      string

      运费来源

    * `discount_allocations`

      array<object>

      折扣明细

      * `discount_application_index`

        integer

        折扣索引信息：标明在折扣明细中的位置

      * `amount`

        string

        折扣金额，精度2

      * `amount_set`

        object

        折扣多币种金额

    * `price`

      string

      物流运费,精度2

    * `shipping_price`

      string

      原运费金额值（非折扣后金额）

  * `tax_lines`

    array<object>

    税费信息

    * `price_set`

      object

      税费多币种信息

      * `presentment_money`

        object

        买家侧金额信息

      * `shop_money`

        object

        卖家侧金额信息

    * `rate`

      double

      税率

    * `title`

      string

      税费名称

    * `price`

      string

      税费金额

  * `checkout_id`

    string

    弃单id

  * `total_weight`

    double

    商品总重量（g）

  * `line_items`

    array<object>

    订单商品快照信息

    * `requires_shipping`

      boolean

      是否需要发货

    * `id`

      string

      商品快照表的id, 系统生成，与订单号唯一确认一个商品

    * `location_id`

      string

      pos场景下店铺对应的地点

    * `price`

      string

      商品售价，精度2

    * `taxable`

      boolean

      是否收税

    * `discount_allocations`

      array<object>

      营销折扣明细金额多币种

      * `amount`

        string

        折扣明细金额

      * `amount_set`

        object

        折扣明细金额多币种

      * `discount_application_index`

        integer

        标明在折扣明细中的位置

    * `product_id`

      string

      spu序列号

    * `fulfillment_status`

      string

      商品的发货状态， 发货状态， fulfilled-已发货; partial-部分发货； null-未发货;

    * `sku`

      string

      商品码，barCode

    * `variant_id`

      string

      商品sku序列号

    * `title`

      string

      商品标题

    * `fulfillment_service`

      string

      物流商名称

    * `tax_lines`

      array<object>

      税费信息

      * `price_set`

        object

        税费多币种信息

      * `rate`

        double

        税率

      * `title`

        string

        税费名称

      * `type`

        string

        税费用类型，用于区分是商品税还是运费税，枚举值如下 product_tax：商品税 shipping_tax：运费税

      * `price`

        string

        税费，精度2

    * `properties`

      array<object>

      商品定制信息

      * `additional`

        string

        定制商品附加字段

      * `name`

        string

        自定义属性名称

      * `type`

        string

        属性类型, text-字符，展示格式为 name: value; picture-图片，展示类型为 name: 通过urls获取渲染出缩略图；link-超链，展示类型为 name: value，支持点击链接跳转 到urls第一个

      * `urls`

        array<string>

        url资源列表

      * `value`

        string

        自定义属性值

    * `grams`

      double

      重量（克）

    * `quantity`

      integer

      订单中的商品数量

    * `fulfillable_quantity`

      integer

      可发货数量

    * `attribute`

      string

      商品属性：名称 - 属性值 多个以逗号", "分割 如：颜色 - 红色, 尺寸 - X

    * `variant_title`

      string

      商品属性值, 多个以" / "分割, 如： “155 / 红色 / 大"

    * `name`

      string

      sku标题,同title

    * `tags`

      string

      商品标签（多个逗号隔开）

    * `vendor`

      string

      供应商

  * `processed_user_id`

    string

    订单创建者

  * `presentment_currency`

    string

    买家侧币种,同卖家侧币种

  * `client_details`

    object

    客户端详细信息

    * `browser_ip`

      string

      客户端IP地址

    * `session_hash`

      string

      会员会话加密信息

    * `user_agent`

      string

      客户端代理

  * `total_tax_set`

    object

    税费总和，多币种信息

    * `shop_money`

      object

      卖家侧金额信息

      * `amount`

        string

        金额，精度2

      * `currency_code`

        string

        币种

    * `presentment_money`

      object

      买家侧金额信息

      * `amount`

        string

        金额，精度2

      * `currency_code`

        string

        币种

  * `note`

    string

    商家备注内容

  * `cart_token`

    string

    购物车token

  * `subtotal_price`

    string

    商品折后价总和, 商品总价 - 营销优惠 - 人工折扣

  * `fulfillment_status`

    string

    发货状态， fulfilled-已发货; partial-部分发货； null-未发货; 注：返回的枚举值与入参的查询枚举值不一样

  * `email`

    string

    买家邮箱,二者必有其一

  * `phone`

    string

    买家联系方式，二者必有其一

  * `payment_gateway_names`

    array<string>

    付款方式列表,该订单所用到的付款方式列表, SLpayments ,Paypal(PayPal支付), Oceanpay(钱海支付), TwoCheckout,AsiaBill, Stripe,Pacypay, WorldPay, COD（货到付款), CUSTOM(自定义), adjustPay（资金调整）, Xendit(xendit信用卡), XenditOther

  * `total_tip_received`

    string

    小费，精度2

  * `tax_type`

    string

    税号类型

  * `subtotal_price_set`

    object

    商品折后价总和多币种信息

    * `presentment_money`

      object

      买家侧金额信息

      * `amount`

        string

        金额，精度2

      * `currency_code`

        string

        币种

    * `shop_money`

      object

      卖家侧金额信息

      * `currency_code`

        string

        币种

      * `amount`

        string

        金额，精度2

  * `tax_number`

    string

    税号

  * `billing_address`

    object

    账单地址

    * `last_name`

      string

      账单收件人姓

    * `city`

      string

      账单收件人城市（最大64个字符）

    * `name`

      string

      账单收件姓名

    * `country`

      string

      账单收件人国家（最大64个字符）

    * `country_code`

      string

      账单收件人国家编码

    * `address2`

      string

      账单收件人详细地址附加（最大255个字符）

    * `province_code`

      string

      账单收件人名省份编码

    * `province`

      string

      账单收件人名省份

    * `phone`

      string

      账单收件人名手机号

    * `zip`

      string

      账单收件人名邮编

    * `first_name`

      string

      账单收件人名

    * `address1`

      string

      账单收件人详细地址（最大255个字符）

    * `company`

      string

      公司名称

  * `browser_ip`

    string

    客户端ip

  * `refunds`

    array<object>

    退款列表

    * `created_at`

      string

      退款单创建时间 （格式见IOS8601）

    * `id`

      string

      退款id

    * `note`

      string

      退款备注

    * `order_id`

      string

      订单号

    * `processed_at`

      string

      更新时间 （格式见IOS8601）

    * `refund_line_items`

      array<object>

      退款详细信息

      * `total_tax`

        double

        退款商品的税额，精度2

      * `id`

        string

        该调整单关联的订单号

      * `subtotal`

        double

        退款金额合计，精度2

      * `quantity`

        integer

        数量,商品数量

      * `subtotal_set`

        object

        退款金额合计，多币种信息，卖家和买家侧相同

      * `total_tax_set`

        object

        总税额，多币种信息

      * `line_item_id`

        string

        商品快照表的id, 系统生成，与订单号唯一确认一个商品

      * `line_item`

        object

        退款商品行

      * `restock_type`

        string

        库存返还类型,no_restock-未返还，cancel-取消， return-返还 只有未返还

    * `transactions`

      array<object>

      退款交易信息

      * `currency`

        string

        币种

      * `kind`

        string

        交易类型（authorization， capture， sale， void， refund）

      * `processed_at`

        string

        退款单更新时间（格式见IOS8601）

      * `order_id`

        string

        订单号

      * `status`

        string

        处理状态, pending, failure, success, and error

      * `user_id`

        string

        买家id

      * `created_at`

        string

        创建时间

      * `id`

        string

        退款id

      * `amount`

        string

        退款金额，精度2

    * `user_id`

      string

      用户id

  * `total_line_items_price`

    string

    商品原价总和，精度2

  * `current_total_tax_set`

    object

    税费总和多币种信息， 买卖家币种和金额一致

    * `shop_money`

      object

      卖家侧币种

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

    * `presentment_money`

      object

      买家侧币种

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

  * `current_total_discounts`

    string

    折扣总和，精度2，营销优惠+人工折扣

  * `payment_details`

    array<object>

    支付单信息

    * `processed_at`

      string

      支付创建时间,格式：2023-04-12T22:59:52+08:00

    * `order_seq`

      string

      订单号

    * `pay_seq`

      string

      支付单号

    * `pay_status`

      string

      支付单状态, unpaid-未支付；pending-支付中；risking-风控中；paid-已支付；paid_overtime-支付失败；paid_failed-支付失败；

    * `pay_amount`

      double

      支付金额

    * `status_msg`

      string

      支付单状态码描述

    * `pay_channel_deal_id`

      string

      外部渠道支付流水号

    * `create_time`

      string

      支付单创建时间

    * `status_code`

      string

      支付状态码

  * `discount_codes`

    array<object>

    优惠码信息

    * `code`

      string

      优惠码

    * `type`

      string

      优惠类型，减金额；打折；免运费；固定售价；最低价商品免费；打包价；第N件打折；

    * `amount`

      string

      优惠金额,精度2

  * `created_at`

    string

    订单创建时间（格式见IOS8601）

  * `store_id`

    string

    店铺id

  * `total_tax`

    string

    税费总和，精度2, 商品税 + 运费税

  * `taxes_included`

    boolean

    总计额是否包含税额

  * `tags`

    string

    订单标签

  * `total_shipping_price_set`

    object

    订单运费总和，多币种信息

    * `shop_money`

      object

      卖家侧金额信息

      * `amount`

        string

        金额，精度2

      * `currency_code`

        string

        币种

    * `presentment_money`

      object

      买家侧金额信息

      * `currency_code`

        string

        币种

      * `amount`

        string

        金额，精度2

  * `current_subtotal_price_set`

    object

    当前商品总和多币种信息， 买卖家币种和金额一致

    * `presentment_money`

      object

      买家侧币种

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

    * `shop_money`

      object

      卖家侧金额

      * `amount`

        string

        金额，精度2

      * `currency_code`

        string

        币种code

  * `total_outstanding`

    string

    未付款金额总和，精度2

  * `total_discounts`

    string

    折扣总额，营销优惠+人工折扣

  * `customer`

    object

    买家信息

    * `email`

      string

      用户邮箱

    * `phone`

      string

      用户手机号

    * `addresses`

      object

      买家地址信息

      * `country`

        string

        国家

      * `last_name`

        string

        名

      * `phone`

        string

        电话

      * `name`

        string

        全名

      * `zip`

        string

        邮编

      * `address1`

        string

        详细地址1

      * `city`

        string

        城市

      * `country_code`

        string

        国家码

      * `first_name`

        string

        姓

      * `province_code`

        string

        省份码

      * `province`

        string

        省份

      * `address2`

        string

        详细地址2，备选

    * `currency`

      string

      币种

    * `last_name`

      string

      姓

    * `first_name`

      string

      名

    * `id`

      string

      用户id

    * `created_at`

      string

      买家创建时间（格式见IOS8601）

    * `area_code`

      string

      手机区号

    * `updated_at`

      string

      买家更新时间

  * `customer_locale`

    string

    买家国家，语种编码+国家名称缩写

  * `total_discounts_set`

    object

    折扣总额多币种信息

    * `presentment_money`

      object

      买家侧金额信息

      * `amount`

        string

        金额，精度2

      * `currency_code`

        string

        币种

    * `shop_money`

      object

      卖家侧金额信息

      * `amount`

        string

        金额，精度2

      * `currency_code`

        string

        币种

  * `total_line_items_price_set`

    object

    商品原价总和，多币种信息

    * `shop_money`

      object

      卖家侧金额信息

      * `currency_code`

        string

        币种

      * `amount`

        string

        金额，精度2

    * `presentment_money`

      object

      买家侧金额信息

      * `amount`

        string

        金额，精度2

      * `currency_code`

        string

        币种

  * `credit_limit`

    object

    信用信息

    * `total_credit_limit`

      string

      订单使用的信用额度总额

    * `credit_limit_currency`

      string

      信用额度币种，目前是店铺币种

    * `is_credit_limit`

      boolean

      订单是否使用了信用支付true：使用 false：未使用

    * `outstanding_credit_limit`

      string

      订单占用的信用额度总额

  * `current_total_price_set`

    object

    税费总和多币种信息， 买卖家币种和金额一致

    * `shop_money`

      object

      卖家侧币种

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

    * `presentment_money`

      object

      买家侧币种

      * `amount`

        string

        金额

      * `currency_code`

        string

        币种

  * `order_status_url`

    string

    订单状态页url

  * `shipping_address`

    object

    收货地址

    * `province_code`

      string

      省份码

    * `zip`

      string

      邮编

    * `last_name`

      string

      名

    * `company`

      string

      公司名称

    * `name`

      string

      全名

    * `country`

      string

      国家

    * `address1`

      string

      地址1

    * `city`

      string

      城市

    * `country_code`

      string

      国家码

    * `address2`

      string

      详细地址2，备选

    * `latitude`

      string

      纬度

    * `longitude`

      string

      经度

    * `phone`

      string

      电话

    * `first_name`

      string

      姓

    * `province`

      string

      省份

  * `user_id`

    string

    买家id

* `user_errors`

  array<object>

  本次执行的错误提示信息，如果执行结果有错误，会通过此字段返回错误信息

  * `field`

    array<string>

    导致错误的输入字段的路径

  * `message`

    string

    错误信息

  * `code`

    string

    错误码


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "订单编辑-提交接口，编辑订单为一组组合接口(开始编辑，修改商品数量，增加普通商品行，增加自定义商品行，增加商品行折扣，移除商品行折扣，订单编辑提交)，需要调用编辑订单-开始接口，开启一次编辑，如果该接口调用有错误，会在返回值user_errors字段中拿到错误，调用方如果调用订单编辑提交接口出错，需要根据返回的order数据中是否已经对本次编辑进行了更新，如果返回的order没值，需要通过订单列表查询接口查询订单数据中是否已经本次编辑进行了更新，如果明确数据，没更新，可以进行重试（注意：重试需要从order_edit.json订单编辑开始接口开始进行整套编辑订单接口重新调用）",
  "externalDocs": {
    "description": "接口使用的权限点: `write_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "VYvYsoxh",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "request": {
              "name": "request",
              "description": "请求体",
              "type": "object",
              "properties": {
                "id": {
                  "name": "id",
                  "description": "编辑订单草稿单id（可以从调用订单编辑-开始接口返回参数中获取）",
                  "type": "string",
                  "example": "2108973455469898"
                },
                "notify_customer": {
                  "name": "notify_customer",
                  "description": "是否需要通知客户",
                  "type": "boolean",
                  "example": false
                }
              },
              "required": [
                "id"
              ],
              "example": {
                "id": "2108973455469898",
                "notify_customer": false
              }
            }
          },
          "example": {
            "request": {
              "id": "2108973455469898",
              "notify_customer": false
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "order": {
                "name": "order",
                "description": "订单信息,字段描述、示例请参考订单列表响应结果",
                "type": "object",
                "properties": {
                  "current_subtotal_price": {
                    "name": "current_subtotal_price",
                    "description": "当前商品总和，商品总价*数量",
                    "type": "string",
                    "example": "78.08"
                  },
                  "currency": {
                    "name": "currency",
                    "description": "交易币种",
                    "type": "string",
                    "example": "USD"
                  },
                  "current_total_discounts_set": {
                    "name": "current_total_discounts_set",
                    "description": "折扣总和多币种信息，没有多币种，所以买卖家币种和金额一致； { currentTotalDiscountsSet \"shopMoney\": { \"amount\": \"100\", \"currency_code\": \"CNY\" }, \"presentmentMoney\": { \"amount\": \"100\", \"currency_code\": \"CNY\" } }",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "买家侧金额",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种信息",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "currency_code": "USD",
                          "amount": "3.25"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "卖家侧金额",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "金额",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "币种",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "3.25",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "3.25",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "fulfillments": {
                    "name": "fulfillments",
                    "description": "包裹信息",
                    "type": "array",
                    "items": {
                      "name": "fulfillments",
                      "description": "包裹信息",
                      "type": "object",
                      "properties": {
                        "order_id": {
                          "name": "order_id",
                          "description": "订单号",
                          "type": "string",
                          "example": "21056577640603870897253153"
                        },
                        "id": {
                          "name": "id",
                          "description": "包裹编号",
                          "type": "string",
                          "example": "22046737798141702810214336"
                        },
                        "line_items": {
                          "name": "line_items",
                          "description": "商品列表",
                          "type": "array",
                          "items": {
                            "name": "line_items",
                            "description": "商品列表",
                            "type": "object",
                            "properties": {
                              "id": {
                                "name": "id",
                                "description": "商品快照表的id, 系统生成，与订单号唯一确认一个商品",
                                "type": "string",
                                "example": "312"
                              },
                              "taxable": {
                                "name": "taxable",
                                "description": "是否收税",
                                "type": "boolean",
                                "example": true
                              },
                              "title": {
                                "name": "title",
                                "description": "商品标题",
                                "type": "string",
                                "example": "漂亮的裙子"
                              },
                              "fulfillment_status": {
                                "name": "fulfillment_status",
                                "description": "商品的发货状态， 发货状态， fulfilled-已发货; partial-部分发货； null-未发货;",
                                "type": "string",
                                "example": "fulfilled"
                              },
                              "vendor": {
                                "name": "vendor",
                                "description": "供应商",
                                "type": "string",
                                "example": "供应商"
                              },
                              "tax_lines": {
                                "name": "tax_lines",
                                "description": "税费信息",
                                "type": "array",
                                "items": {
                                  "name": "tax_lines",
                                  "description": "税费信息",
                                  "type": "object",
                                  "properties": {
                                    "price_set": {
                                      "name": "price_set",
                                      "description": "税费多币种信息",
                                      "type": "object",
                                      "properties": {
                                        "presentment_money": {
                                          "name": "presentment_money",
                                          "description": "买家侧金额",
                                          "type": "object",
                                          "properties": {
                                            "amount": {
                                              "name": "amount",
                                              "description": "金额",
                                              "type": "string",
                                              "example": "3.25"
                                            },
                                            "currency_code": {
                                              "name": "currency_code",
                                              "description": "币种",
                                              "type": "string",
                                              "example": "USD"
                                            }
                                          },
                                          "example": {
                                            "amount": "3.25",
                                            "currency_code": "USD"
                                          }
                                        },
                                        "shop_money": {
                                          "name": "shop_money",
                                          "description": "卖家侧金额信息",
                                          "type": "object",
                                          "properties": {
                                            "amount": {
                                              "name": "amount",
                                              "description": "金额",
                                              "type": "string",
                                              "example": "3.25"
                                            },
                                            "currency_code": {
                                              "name": "currency_code",
                                              "description": "币种",
                                              "type": "string",
                                              "example": "USD"
                                            }
                                          },
                                          "example": {
                                            "amount": "3.25",
                                            "currency_code": "USD"
                                          }
                                        }
                                      },
                                      "example": {
                                        "presentment_money": {
                                          "currency_code": "USD",
                                          "amount": "3.25"
                                        },
                                        "shop_money": {
                                          "amount": "3.25",
                                          "currency_code": "USD"
                                        }
                                      }
                                    },
                                    "rate": {
                                      "name": "rate",
                                      "description": "税率",
                                      "type": "double",
                                      "example": 1
                                    },
                                    "title": {
                                      "name": "title",
                                      "description": "税费名称",
                                      "type": "string",
                                      "example": "税费"
                                    },
                                    "price": {
                                      "name": "price",
                                      "description": "税费，精度2",
                                      "type": "string",
                                      "example": "3.25"
                                    }
                                  },
                                  "example": {
                                    "price_set": {
                                      "presentment_money": {
                                        "amount": "3.25",
                                        "currency_code": "USD"
                                      },
                                      "shop_money": {
                                        "amount": "3.25",
                                        "currency_code": "USD"
                                      }
                                    },
                                    "rate": 1,
                                    "title": "税费",
                                    "price": "3.25"
                                  }
                                },
                                "example": [
                                  {
                                    "title": "税费",
                                    "price": "3.25",
                                    "price_set": {
                                      "presentment_money": {
                                        "amount": "3.25",
                                        "currency_code": "USD"
                                      },
                                      "shop_money": {
                                        "amount": "3.25",
                                        "currency_code": "USD"
                                      }
                                    },
                                    "rate": 1
                                  }
                                ]
                              },
                              "fulfillable_quantity": {
                                "name": "fulfillable_quantity",
                                "description": "可发货数量",
                                "type": "integer",
                                "example": 1
                              },
                              "price": {
                                "name": "price",
                                "description": "商品售价，精度2",
                                "type": "string",
                                "example": "23.09"
                              },
                              "name": {
                                "name": "name",
                                "description": "sku标题,同title",
                                "type": "string",
                                "example": "商品名称"
                              },
                              "product_id": {
                                "name": "product_id",
                                "description": "spu序列号",
                                "type": "string",
                                "example": "16056761559984840457934011"
                              },
                              "grams": {
                                "name": "grams",
                                "description": "重量（克）",
                                "type": "double",
                                "example": 100
                              },
                              "fulfillment_service": {
                                "name": "fulfillment_service",
                                "description": "物流商名称",
                                "type": "string",
                                "example": "顺丰"
                              },
                              "quantity": {
                                "name": "quantity",
                                "description": "订单中的商品数量",
                                "type": "integer",
                                "example": 1
                              },
                              "variant_title": {
                                "name": "variant_title",
                                "description": "商品属性值, 多个以\" / \"分割, 如： “155 / 红色 / 大\"",
                                "type": "string",
                                "example": "大"
                              },
                              "requires_shipping": {
                                "name": "requires_shipping",
                                "description": "是否需要发货",
                                "type": "boolean",
                                "example": false
                              },
                              "sku": {
                                "name": "sku",
                                "description": "商品码，barCode",
                                "type": "string",
                                "example": "18056761559987524812644011"
                              },
                              "variant_id": {
                                "name": "variant_id",
                                "description": "商品sku序列号",
                                "type": "string",
                                "example": "18056761559987524812644011"
                              },
                              "attribute": {
                                "name": "attribute",
                                "description": "\t\n商品属性：名称 - 属性值 多个以逗号\", \"分割 如：颜色 - 红色, 尺寸 - X",
                                "type": "string",
                                "example": "红色"
                              }
                            },
                            "example": {
                              "product_id": "16056761559984840457934011",
                              "quantity": 1,
                              "vendor": "供应商",
                              "attribute": "红色",
                              "fulfillment_status": "fulfilled",
                              "requires_shipping": false,
                              "fulfillment_service": "顺丰",
                              "grams": 100,
                              "variant_id": "18056761559987524812644011",
                              "id": "312",
                              "taxable": true,
                              "sku": "18056761559987524812644011",
                              "title": "漂亮的裙子",
                              "variant_title": "大",
                              "price": "23.09",
                              "name": "商品名称",
                              "fulfillable_quantity": 1,
                              "tax_lines": [
                                {
                                  "rate": 1,
                                  "title": "税费",
                                  "price": "3.25",
                                  "price_set": {
                                    "shop_money": {
                                      "currency_code": "USD",
                                      "amount": "3.25"
                                    },
                                    "presentment_money": {
                                      "amount": "3.25",
                                      "currency_code": "USD"
                                    }
                                  }
                                }
                              ]
                            }
                          },
                          "example": [
                            {
                              "product_id": "16056761559984840457934011",
                              "fulfillable_quantity": 1,
                              "fulfillment_service": "顺丰",
                              "taxable": true,
                              "name": "商品名称",
                              "variant_id": "18056761559987524812644011",
                              "id": "312",
                              "price": "23.09",
                              "vendor": "供应商",
                              "title": "漂亮的裙子",
                              "sku": "18056761559987524812644011",
                              "tax_lines": [
                                {
                                  "price_set": {
                                    "shop_money": {
                                      "amount": "3.25",
                                      "currency_code": "USD"
                                    },
                                    "presentment_money": {
                                      "amount": "3.25",
                                      "currency_code": "USD"
                                    }
                                  },
                                  "rate": 1,
                                  "title": "税费",
                                  "price": "3.25"
                                }
                              ],
                              "requires_shipping": false,
                              "quantity": 1,
                              "grams": 100,
                              "variant_title": "大",
                              "fulfillment_status": "fulfilled",
                              "attribute": "红色"
                            }
                          ]
                        },
                        "updated_at": {
                          "name": "updated_at",
                          "description": "更新时间（格式见IOS8601）",
                          "type": "string",
                          "example": "2012-05-01T14:22:25-04:00"
                        },
                        "tracking_number": {
                          "name": "tracking_number",
                          "description": "第三方物流单号",
                          "type": "string",
                          "example": "yun0001"
                        },
                        "shipment_status": {
                          "name": "shipment_status",
                          "description": "包裹状态",
                          "type": "string",
                          "example": "fulfilled"
                        },
                        "tracking_company": {
                          "name": "tracking_company",
                          "description": "物流公司名称",
                          "type": "string",
                          "example": "顺丰国际"
                        },
                        "created_at": {
                          "name": "created_at",
                          "description": "创建时间（格式见IOS8601）",
                          "type": "string",
                          "example": "2012-05-01T14:22:25-04:00"
                        },
                        "status": {
                          "name": "status",
                          "description": "物流配送状态， success-已发货； cancelled-已取消；",
                          "type": "string",
                          "example": "cancelled"
                        },
                        "tracking_url": {
                          "name": "tracking_url",
                          "description": "物流公司url",
                          "type": "string",
                          "example": "https://www.sf-international.com/"
                        },
                        "name": {
                          "name": "name",
                          "description": "发货单短号",
                          "type": "string",
                          "example": "1032-F2"
                        }
                      },
                      "example": {
                        "created_at": "2012-05-01T14:22:25-04:00",
                        "line_items": [
                          {
                            "product_id": "16056761559984840457934011",
                            "requires_shipping": false,
                            "tax_lines": [
                              {
                                "price": "3.25",
                                "price_set": {
                                  "presentment_money": {
                                    "amount": "3.25",
                                    "currency_code": "USD"
                                  },
                                  "shop_money": {
                                    "amount": "3.25",
                                    "currency_code": "USD"
                                  }
                                },
                                "rate": 1,
                                "title": "税费"
                              }
                            ],
                            "attribute": "红色",
                            "fulfillable_quantity": 1,
                            "name": "商品名称",
                            "vendor": "供应商",
                            "grams": 100,
                            "taxable": true,
                            "fulfillment_service": "顺丰",
                            "fulfillment_status": "fulfilled",
                            "variant_id": "18056761559987524812644011",
                            "title": "漂亮的裙子",
                            "sku": "18056761559987524812644011",
                            "variant_title": "大",
                            "quantity": 1,
                            "price": "23.09",
                            "id": "312"
                          }
                        ],
                        "name": "1032-F2",
                        "tracking_number": "yun0001",
                        "order_id": "21056577640603870897253153",
                        "status": "cancelled",
                        "id": "22046737798141702810214336",
                        "shipment_status": "fulfilled",
                        "updated_at": "2012-05-01T14:22:25-04:00",
                        "tracking_company": "顺丰国际",
                        "tracking_url": "https://www.sf-international.com/"
                      }
                    },
                    "example": [
                      {
                        "name": "1032-F2",
                        "shipment_status": "fulfilled",
                        "tracking_company": "顺丰国际",
                        "updated_at": "2012-05-01T14:22:25-04:00",
                        "id": "22046737798141702810214336",
                        "line_items": [
                          {
                            "product_id": "16056761559984840457934011",
                            "vendor": "供应商",
                            "sku": "18056761559987524812644011",
                            "variant_title": "大",
                            "variant_id": "18056761559987524812644011",
                            "quantity": 1,
                            "fulfillment_service": "顺丰",
                            "price": "23.09",
                            "fulfillment_status": "fulfilled",
                            "name": "商品名称",
                            "grams": 100,
                            "tax_lines": [
                              {
                                "title": "税费",
                                "price": "3.25",
                                "price_set": {
                                  "presentment_money": {
                                    "amount": "3.25",
                                    "currency_code": "USD"
                                  },
                                  "shop_money": {
                                    "amount": "3.25",
                                    "currency_code": "USD"
                                  }
                                },
                                "rate": 1
                              }
                            ],
                            "title": "漂亮的裙子",
                            "id": "312",
                            "taxable": true,
                            "requires_shipping": false,
                            "attribute": "红色",
                            "fulfillable_quantity": 1
                          }
                        ],
                        "status": "cancelled",
                        "order_id": "21056577640603870897253153",
                        "tracking_number": "yun0001",
                        "tracking_url": "https://www.sf-international.com/",
                        "created_at": "2012-05-01T14:22:25-04:00"
                      }
                    ]
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "订单更新时间，（格式见IOS8601）",
                    "type": "string",
                    "example": "2012-05-01T14:22:25-04:00"
                  },
                  "name": {
                    "name": "name",
                    "description": "自定义订单号",
                    "type": "string",
                    "example": "test1001"
                  },
                  "financial_status": {
                    "name": "financial_status",
                    "description": "支付状态，unpaid，authorized, pending，partially_paid，paid，partially_refunded，refunded",
                    "type": "string",
                    "example": "unpaid"
                  },
                  "current_total_tax": {
                    "name": "current_total_tax",
                    "description": "税费总和，商品税 + 运费税",
                    "type": "string",
                    "example": "8.00"
                  },
                  "deduct_member_point_amount": {
                    "name": "deduct_member_point_amount",
                    "description": "当前订单会员积分抵扣金额",
                    "type": "string",
                    "example": "3.25"
                  },
                  "processed_at": {
                    "name": "processed_at",
                    "description": "processed_at 成单时间,格式：2023-04-12T22:59:52+08:00",
                    "type": "string",
                    "example": "2023-04-12T22:59:52+08:00"
                  },
                  "id": {
                    "name": "id",
                    "description": "订单号，系统自定义编号",
                    "type": "string",
                    "example": "21050224312121887324667162"
                  },
                  "cancelled_at": {
                    "name": "cancelled_at",
                    "description": "订单取消时间（结束）（格式见IOS8601）,2012-05-01T14:22:25-04:00",
                    "type": "string",
                    "example": "2012-05-01T14:22:25-04:00"
                  },
                  "current_total_price": {
                    "name": "current_total_price",
                    "description": "税费总和，商品税 + 运费税",
                    "type": "string",
                    "example": "8.00"
                  },
                  "discount_applications": {
                    "name": "discount_applications",
                    "description": "折扣信息",
                    "type": "array",
                    "items": {
                      "name": "discount_applications",
                      "description": "折扣信息",
                      "type": "object",
                      "properties": {
                        "target_type": {
                          "name": "target_type",
                          "description": "1）line_item、shipping_line",
                          "type": "string",
                          "example": "line_item"
                        },
                        "value": {
                          "name": "value",
                          "description": "折扣的具体值（可以是 N折，也可以是具体的 金额值）",
                          "type": "string",
                          "example": "20"
                        },
                        "target_selection": {
                          "name": "target_selection",
                          "description": "1）explicit（折扣分配到明确选择的行） 2）all（折扣分配到所有行） 3）ENTITLED（折扣仅分配到其有权使用的行）",
                          "type": "string",
                          "example": "explicit"
                        },
                        "value_type": {
                          "name": "value_type",
                          "description": "百分比折扣、金额折扣",
                          "type": "string",
                          "example": "fixed_amount"
                        },
                        "code": {
                          "name": "code",
                          "description": "折扣码",
                          "type": "string",
                          "example": "1Q3UMQM8RBP5"
                        },
                        "title": {
                          "name": "title",
                          "description": "自动折扣的标题",
                          "type": "string",
                          "example": "折扣标题"
                        },
                        "allocation_method": {
                          "name": "allocation_method",
                          "description": "1）across（该值分布在所有授权行中） 2）each（该值应用于每个授权行）",
                          "type": "string",
                          "example": "across"
                        },
                        "type": {
                          "name": "type",
                          "description": "折扣类型",
                          "type": "string",
                          "example": "manual"
                        },
                        "description": {
                          "name": "description",
                          "description": "自定义折扣的描述",
                          "type": "string",
                          "example": "折扣描述"
                        }
                      },
                      "example": {
                        "allocation_method": "across",
                        "value": "20",
                        "target_type": "line_item",
                        "type": "manual",
                        "code": "1Q3UMQM8RBP5",
                        "description": "折扣描述",
                        "value_type": "fixed_amount",
                        "target_selection": "explicit",
                        "title": "折扣标题"
                      }
                    },
                    "example": [
                      {
                        "code": "1Q3UMQM8RBP5",
                        "value": "20",
                        "target_type": "line_item",
                        "description": "折扣描述",
                        "allocation_method": "across",
                        "type": "manual",
                        "value_type": "fixed_amount",
                        "target_selection": "explicit",
                        "title": "折扣标题"
                      }
                    ]
                  },
                  "cancel_reason": {
                    "name": "cancel_reason",
                    "description": "卖家取消原因",
                    "type": "string",
                    "example": "“不想买了”"
                  },
                  "checkout_token": {
                    "name": "checkout_token",
                    "description": "结算页token",
                    "type": "string",
                    "example": "c2c4a58186b9d96395d7e6b5c2969577"
                  },
                  "note_attributes": {
                    "name": "note_attributes",
                    "description": "商家备注日志，日期内容",
                    "type": "array",
                    "items": {
                      "name": "note_attributes",
                      "description": "商家备注日志，日期内容",
                      "type": "object",
                      "properties": {
                        "create_time": {
                          "name": "create_time",
                          "description": "备注创建时间（格式见IOS8601）",
                          "type": "string",
                          "example": "2012-05-01T14:22:25-04:00"
                        },
                        "name": {
                          "name": "name",
                          "description": "备注来源（卖家标识）",
                          "type": "string",
                          "example": "备注来源"
                        },
                        "value": {
                          "name": "value",
                          "description": "备注内容",
                          "type": "string",
                          "example": "备注内容"
                        }
                      },
                      "example": {
                        "create_time": "2012-05-01T14:22:25-04:00",
                        "name": "备注来源",
                        "value": "备注内容"
                      }
                    },
                    "example": [
                      {
                        "create_time": "2012-05-01T14:22:25-04:00",
                        "name": "备注来源",
                        "value": "备注内容"
                      }
                    ]
                  },
                  "app_id": {
                    "name": "app_id",
                    "description": "应用方id",
                    "type": "string",
                    "example": "222222"
                  },
                  "shipping_lines": {
                    "name": "shipping_lines",
                    "description": "物流信息",
                    "type": "array",
                    "items": {
                      "name": "shipping_lines",
                      "description": "物流信息",
                      "type": "object",
                      "properties": {
                        "phone": {
                          "name": "phone",
                          "description": "电话",
                          "type": "string",
                          "example": "13243214565"
                        },
                        "price_set": {
                          "name": "price_set",
                          "description": "物流运费多资源信息",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺侧金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额，精度2",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "买家侧金额信息",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "USD"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "金额，精度2",
                                  "type": "string",
                                  "example": "8.00"
                                }
                              },
                              "example": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "presentment_money": {
                              "currency_code": "USD",
                              "amount": "8.00"
                            }
                          }
                        },
                        "requested_fulfillment_service_id": {
                          "name": "requested_fulfillment_service_id",
                          "description": "运输服务代号",
                          "type": "string",
                          "example": "LX88888"
                        },
                        "title": {
                          "name": "title",
                          "description": "物流名称",
                          "type": "string",
                          "example": "顺丰国际"
                        },
                        "discounted_price": {
                          "name": "discounted_price",
                          "description": "折扣金额，精度2",
                          "type": "string",
                          "example": "8.00"
                        },
                        "tax_lines": {
                          "name": "tax_lines",
                          "description": "物流征税列表",
                          "type": "array",
                          "items": {
                            "name": "tax_lines",
                            "description": "物流征税列表",
                            "type": "object",
                            "properties": {
                              "title": {
                                "name": "title",
                                "description": "税费名称",
                                "type": "string",
                                "example": "税费"
                              },
                              "price": {
                                "name": "price",
                                "description": "税费",
                                "type": "string",
                                "example": "8.00"
                              },
                              "price_set": {
                                "name": "price_set",
                                "description": "税费多币种信息",
                                "type": "object",
                                "properties": {
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "卖家侧金额信息",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "金额，精度2",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  },
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "买家侧金额信息",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "金额",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  }
                                },
                                "example": {
                                  "presentment_money": {
                                    "currency_code": "USD",
                                    "amount": "8.00"
                                  },
                                  "shop_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "rate": {
                                "name": "rate",
                                "description": "税率",
                                "type": "double",
                                "example": 1
                              }
                            },
                            "example": {
                              "title": "税费",
                              "price": "8.00",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "rate": 1
                            }
                          },
                          "example": [
                            {
                              "price": "8.00",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "currency_code": "USD",
                                  "amount": "8.00"
                                }
                              },
                              "rate": 1,
                              "title": "税费"
                            }
                          ]
                        },
                        "code": {
                          "name": "code",
                          "description": "物流编号",
                          "type": "string",
                          "example": "SF"
                        },
                        "discounted_price_set": {
                          "name": "discounted_price_set",
                          "description": "折扣多币种金额",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "买家侧金额信息",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "USD"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "金额，精度2",
                                  "type": "string",
                                  "example": "8.00"
                                }
                              },
                              "example": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "店铺侧金额信息",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "USD"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "金额，精度2",
                                  "type": "string",
                                  "example": "8.00"
                                }
                              },
                              "example": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "source": {
                          "name": "source",
                          "description": "运费来源",
                          "type": "string",
                          "example": "来源"
                        },
                        "discount_allocations": {
                          "name": "discount_allocations",
                          "description": "折扣明细",
                          "type": "array",
                          "items": {
                            "name": "discount_allocations",
                            "description": "折扣明细",
                            "type": "object",
                            "properties": {
                              "discount_application_index": {
                                "name": "discount_application_index",
                                "description": "折扣索引信息：标明在折扣明细中的位置",
                                "type": "integer",
                                "example": 1
                              },
                              "amount": {
                                "name": "amount",
                                "description": "折扣金额，精度2",
                                "type": "string",
                                "example": "8.00"
                              },
                              "amount_set": {
                                "name": "amount_set",
                                "description": "折扣多币种金额",
                                "type": "object",
                                "properties": {
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "买家侧金额信息",
                                    "type": "object",
                                    "properties": {
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "USD"
                                      },
                                      "amount": {
                                        "name": "amount",
                                        "description": "金额，精度2",
                                        "type": "string",
                                        "example": "8.00"
                                      }
                                    },
                                    "example": {
                                      "currency_code": "USD",
                                      "amount": "8.00"
                                    }
                                  },
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "店铺侧金额信息",
                                    "type": "object",
                                    "properties": {
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "USD"
                                      },
                                      "amount": {
                                        "name": "amount",
                                        "description": "金额，精度2",
                                        "type": "string",
                                        "example": "8.00"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  }
                                },
                                "example": {
                                  "presentment_money": {
                                    "currency_code": "USD",
                                    "amount": "8.00"
                                  },
                                  "shop_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                }
                              }
                            },
                            "example": {
                              "amount_set": {
                                "presentment_money": {
                                  "currency_code": "USD",
                                  "amount": "8.00"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "discount_application_index": 1,
                              "amount": "8.00"
                            }
                          },
                          "example": [
                            {
                              "amount": "8.00",
                              "amount_set": {
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "discount_application_index": 1
                            }
                          ]
                        },
                        "price": {
                          "name": "price",
                          "description": "物流运费,精度2",
                          "type": "string",
                          "example": "8.00"
                        },
                        "shipping_price": {
                          "name": "shipping_price",
                          "description": "原运费金额值（非折扣后金额）",
                          "type": "string",
                          "example": "8.00"
                        }
                      },
                      "example": {
                        "tax_lines": [
                          {
                            "rate": 1,
                            "title": "税费",
                            "price": "8.00",
                            "price_set": {
                              "presentment_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            }
                          }
                        ],
                        "code": "SF",
                        "shipping_price": "8.00",
                        "title": "顺丰国际",
                        "discounted_price_set": {
                          "presentment_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "currency_code": "USD",
                            "amount": "8.00"
                          }
                        },
                        "phone": "13243214565",
                        "requested_fulfillment_service_id": "LX88888",
                        "source": "来源",
                        "discount_allocations": [
                          {
                            "amount": "8.00",
                            "amount_set": {
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              },
                              "presentment_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "discount_application_index": 1
                          }
                        ],
                        "discounted_price": "8.00",
                        "price": "8.00",
                        "price_set": {
                          "presentment_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        }
                      }
                    },
                    "example": [
                      {
                        "shipping_price": "8.00",
                        "source": "来源",
                        "tax_lines": [
                          {
                            "price_set": {
                              "presentment_money": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              },
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "rate": 1,
                            "title": "税费",
                            "price": "8.00"
                          }
                        ],
                        "phone": "13243214565",
                        "price_set": {
                          "presentment_money": {
                            "currency_code": "USD",
                            "amount": "8.00"
                          },
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "price": "8.00",
                        "code": "SF",
                        "discounted_price_set": {
                          "shop_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          },
                          "presentment_money": {
                            "amount": "8.00",
                            "currency_code": "USD"
                          }
                        },
                        "title": "顺丰国际",
                        "discount_allocations": [
                          {
                            "amount_set": {
                              "shop_money": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              },
                              "presentment_money": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              }
                            },
                            "discount_application_index": 1,
                            "amount": "8.00"
                          }
                        ],
                        "discounted_price": "8.00",
                        "requested_fulfillment_service_id": "LX88888"
                      }
                    ]
                  },
                  "tax_lines": {
                    "name": "tax_lines",
                    "description": "税费信息",
                    "type": "array",
                    "items": {
                      "name": "tax_lines",
                      "description": "税费信息",
                      "type": "object",
                      "properties": {
                        "price_set": {
                          "name": "price_set",
                          "description": "税费多币种信息",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "买家侧金额信息",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": ""
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "金额，精度2",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "USD",
                                "currency_code": ""
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "卖家侧金额信息",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "金额，精度2",
                                  "type": "string",
                                  "example": "3.25"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "3.25",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "currency_code": "",
                              "amount": "USD"
                            },
                            "shop_money": {
                              "currency_code": "USD",
                              "amount": "3.25"
                            }
                          }
                        },
                        "rate": {
                          "name": "rate",
                          "description": "税率",
                          "type": "double",
                          "example": 1
                        },
                        "title": {
                          "name": "title",
                          "description": "税费名称",
                          "type": "string",
                          "example": "税费"
                        },
                        "price": {
                          "name": "price",
                          "description": "税费金额",
                          "type": "string",
                          "example": "3.25"
                        }
                      },
                      "example": {
                        "price": "3.25",
                        "price_set": {
                          "presentment_money": {
                            "currency_code": "",
                            "amount": "USD"
                          },
                          "shop_money": {
                            "currency_code": "USD",
                            "amount": "3.25"
                          }
                        },
                        "rate": 1,
                        "title": "税费"
                      }
                    },
                    "example": [
                      {
                        "title": "税费",
                        "price": "3.25",
                        "price_set": {
                          "shop_money": {
                            "amount": "3.25",
                            "currency_code": "USD"
                          },
                          "presentment_money": {
                            "currency_code": "",
                            "amount": "USD"
                          }
                        },
                        "rate": 1
                      }
                    ]
                  },
                  "checkout_id": {
                    "name": "checkout_id",
                    "description": "弃单id",
                    "type": "string",
                    "example": "2404785166526352972864"
                  },
                  "total_weight": {
                    "name": "total_weight",
                    "description": "商品总重量（g）",
                    "type": "double",
                    "example": 100
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "订单商品快照信息",
                    "type": "array",
                    "items": {
                      "name": "line_items",
                      "description": "订单商品快照信息",
                      "type": "object",
                      "properties": {
                        "requires_shipping": {
                          "name": "requires_shipping",
                          "description": "是否需要发货",
                          "type": "boolean",
                          "example": true
                        },
                        "id": {
                          "name": "id",
                          "description": "商品快照表的id, 系统生成，与订单号唯一确认一个商品",
                          "type": "string",
                          "example": "417"
                        },
                        "location_id": {
                          "name": "location_id",
                          "description": "pos场景下店铺对应的地点",
                          "type": "string",
                          "example": "5327026538935748524"
                        },
                        "price": {
                          "name": "price",
                          "description": "商品售价，精度2",
                          "type": "string",
                          "example": "3.25"
                        },
                        "taxable": {
                          "name": "taxable",
                          "description": "是否收税",
                          "type": "boolean",
                          "example": true
                        },
                        "discount_allocations": {
                          "name": "discount_allocations",
                          "description": "营销折扣明细金额多币种",
                          "type": "array",
                          "items": {
                            "name": "discount_allocations",
                            "description": "营销折扣明细金额多币种",
                            "type": "object",
                            "properties": {
                              "amount": {
                                "name": "amount",
                                "description": "折扣明细金额",
                                "type": "string",
                                "example": "8.00"
                              },
                              "amount_set": {
                                "name": "amount_set",
                                "description": "折扣明细金额多币种",
                                "type": "object",
                                "properties": {
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "支付币种",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "金额，精度2",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  },
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "店铺币种",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "金额，精度2",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "币种",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  }
                                },
                                "example": {
                                  "presentment_money": {
                                    "currency_code": "USD",
                                    "amount": "8.00"
                                  },
                                  "shop_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "discount_application_index": {
                                "name": "discount_application_index",
                                "description": "标明在折扣明细中的位置",
                                "type": "integer",
                                "example": 1
                              }
                            },
                            "example": {
                              "amount": "8.00",
                              "amount_set": {
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "discount_application_index": 1
                            }
                          },
                          "example": [
                            {
                              "discount_application_index": 1,
                              "amount": "8.00",
                              "amount_set": {
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              }
                            }
                          ]
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "spu序列号",
                          "type": "string",
                          "example": "16056761559984840457934011"
                        },
                        "fulfillment_status": {
                          "name": "fulfillment_status",
                          "description": "商品的发货状态， 发货状态， fulfilled-已发货; partial-部分发货； null-未发货;",
                          "type": "string",
                          "example": "fulfilled"
                        },
                        "sku": {
                          "name": "sku",
                          "description": "商品码，barCode",
                          "type": "string",
                          "example": "18056761559987524812644011"
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "商品sku序列号",
                          "type": "string",
                          "example": "18056761559987524812644011"
                        },
                        "title": {
                          "name": "title",
                          "description": "商品标题",
                          "type": "string",
                          "example": "好看的裙子"
                        },
                        "fulfillment_service": {
                          "name": "fulfillment_service",
                          "description": "物流商名称",
[...]
